PlasticXPToolBarUI (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic

## Class PlasticXPToolBarUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ToolBarUI
    - - javax.swing.plaf.basic.BasicToolBarUI
      - - javax.swing.plaf.metal.MetalToolBarUI
        - - com.jgoodies.looks.plastic.PlasticToolBarUI
          - - com.jgoodies.looks.plastic.PlasticXPToolBarUI

- All Implemented Interfaces:
    SwingConstants

      public final class PlasticXPToolBarUI
      extends PlasticToolBarUI

  The JGoodies PlasticXP Look and Feel implementation of `ToolBarUI`. It differs from its superclass in that it uses rollover borders with rounded corners.

  Thanks to Andrej Golovnin for his feedback and suggestions.

  Version:
    $Revision: 1.8 $
  Author:
    Karsten Lentzsch

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `MetalToolBarUI.MetalContainerListener, MetalToolBarUI.MetalDockingListener, MetalToolBarUI.MetalRolloverListener`

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `contListener, rolloverListener`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `constraintBeforeFloating, dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

    - ### Fields inherited from interface javax.swing.SwingConstants

      `BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticXPToolBarUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Border` | `createRolloverBorder()`
    `static ComponentUI` | `createUI(JComponent b)`

    - ### Methods inherited from class com.jgoodies.looks.plastic.PlasticToolBarUI

      `installDefaults, installListeners, setBorderToRollover, uninstallListeners, update`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalToolBarUI

      `createContainerListener, createDockingListener, createNonRolloverBorder, createRolloverListener, installUI, setBorderToNonRollover, setDragOffset, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI

      `canDock, createDragWindow, createFloatingFrame, createFloatingWindow, createFrameListener, createPropertyListener, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getNonRolloverBorder, getRolloverBorder, installComponents, installKeyboardActions, installNonRolloverBorders, installNormalBorders, installRolloverBorders, isFloating, isRolloverBorders, navigateFocusedComp, paintDragWindow, setBorderToNormal, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, setRolloverBorders, uninstallComponents, uninstallDefaults, uninstallKeyboardActions`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticXPToolBarUI

          public PlasticXPToolBarUI()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI(JComponent b)

    - #### createRolloverBorder

          protected Border createRolloverBorder()

      Overrides:
        `createRolloverBorder` in class `PlasticToolBarUI`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.